package com.dgtis.dorm.manager.db.domain;

import java.util.Objects;

public class DemandSensitiveWord {
    private Integer id;//主键id

    private String badword;//关键字

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getBadword() {
        return badword;
    }

    public void setBadword(String badword) {
        this.badword = badword == null ? null : badword.trim();
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        DemandSensitiveWord that = (DemandSensitiveWord) o;
        return Objects.equals(id, that.id) &&
                Objects.equals(badword, that.badword);
    }

    @Override
    public int hashCode() {

        return Objects.hash(id, badword);
    }
}